services:
  wsi_service:
    image: registry.gitlab.com/empaia/services/wsi-service
    build:
      context: "."
      network: "${COMPOSE_NETWORK}"
    restart: "${COMPOSE_RESTART}"
    environment:
      - WS_CORS_ALLOW_CREDENTIALS=${WS_CORS_ALLOW_CREDENTIALS}
      - WS_CORS_ALLOW_ORIGINS=${WS_CORS_ALLOW_ORIGINS}
      - WS_DEBUG=${WS_DEBUG}
      - WS_DISABLE_OPENAPI=${WS_DISABLE_OPENAPI}
      - WS_MAPPER_ADDRESS=${WS_MAPPER_ADDRESS}
      - WS_LOCAL_MODE=${WS_LOCAL_MODE}
      - WS_ENABLE_VIEWER_ROUTES=${WS_ENABLE_VIEWER_ROUTES}
      - WS_INACTIVE_HISTO_IMAGE_TIMEOUT_SECONDS=${WS_INACTIVE_HISTO_IMAGE_TIMEOUT_SECONDS}
      - WS_MAX_RETURNED_REGION_SIZE=${WS_MAX_RETURNED_REGION_SIZE}
    volumes:
      - ${COMPOSE_DATA_DIR}:/data
    ports:
      - ${COMPOSE_WS_PORT}:8080
